Authorize and consent

Authorization Services API secures the access to Rabobank Premium APIs. It uses the OAuth 2.0 authorization code flow, with which users can authorize your application to access to their account data. This approach gives users control over their data, while enabling your application to access protected resources.

Prerequisites

To ensure a smooth start with the Authorization Services API, your business should meet the following conditions:

  • High degree of automation.
  • Professional IT environment and good infrastructure.
  • Permanently available security expertise to use Accounts & Payments APIs and safeguarding its security.

Rate limiting

A default rate limit plan is set for all APIs. The rate limit can be shared or individual (defined per operation). The table below describes the rate limiting for this product.

OperationTypeLimit (API calls / s)Counts towards shared limit
GET /authorizeShared10Yes
POST /tokenShared10Yes
GET /v1/consents/{consentId}Shared10Yes

Full document available in our Guides section.